Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514197 - [RFE] Add OSCAP Anaconda Addon in Atomic Host
Summary: [RFE] Add OSCAP Anaconda Addon in Atomic Host
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-server-atomic
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 19:13 UTC by ralford
Modified: 2018-11-02 01:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description ralford 2017-11-16 19:13:47 UTC
Description of problem:
Atomic host currently has no way of meeting any compliance industry security requirements which may require FIPS to be enabled as well as hardened to CIS, STIG, HIPPA, FBI CJIS, etc. benchmarks. This has prevented some customers from adopting or using Atomic host.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. Launch Atomic kickstart or Anaconda GUI installation
2.
3.

Actual results:
No OSCAP Anaconda Addon capability or ability to harden to meet various compliance industry security requirements.

Expected results:
Ability to use OSCAP Anaconda Addon in anaconda or kickstart installation.
Once the OSCAP Anaconda Addon completes its work, Atomic host should be made immutable.

Additional info:

Comment 4 Ben Breard 2018-01-15 18:38:18 UTC
We can add the openscap plugin to the installer, but how much does this help? The current STIG checks for separate partitions for /tmp, /var, /home. We have the option of making /var on a separate partition, but with rpm-ostree /home is mounted /var/home. This is only a small example, but there is probably a lengthy list of items where neither our scanner nor scanning content is not tooled for rpm-ostree. 

Other requirements that raise an eyebrow are: 
-Install McAfee Virus Scanning Software
-The Installed Operating System Is Vendor Supported  (not sure why this comes back and fails)

I took a quick look at running the remediation scripts for the STIG. Afterwards there are 22 fails. Some would be really simple to manually fix, others not so much. The worst appears to be enabling FIPS mode. My test VM stops booting after rebuilding the initramfs for fips. I'm sure most or all of these items can be worked through, but I'm not sure just adding the anaconda plugin buys us much.

Comment 6 ralford 2018-01-15 20:01:15 UTC
> We can add the openscap plugin to the installer, but how much does this help?

A lot actually. Different compliance organizations have different requirements. In other words, /var might be required to be on a separate partition in the STIG, but not required in HIPPA or NERC. Or, aide might need to be installed and scanning in the STIG, but not in the CIS profile. So, openscap plugin can handle those differences, and once it does, makes atomic host immutable. Another example is a profile might want a minimum of 15 character password while another might require a minimum of 8.

> Other requirements that raise an eyebrow are: 
> -Install McAfee Virus Scanning Software

Yup. Right or wrong, it is required by some compliance organizations even in running containers!

This based on the release rpm and can 
> -The Installed Operating System Is Vendor Supported  (not sure why this comes back and fails)

This based on the release rpm and can be fixed as it doesn't check for redhat-release-atomic-host rpm.

> Some would be really simple to manually fix, others not so much. The worst appears to be enabling FIPS mode. 

Unless there is an easier way to handle all the differences in the profiles, the openscap plugin would probably be the best way to go. Manually fixing it might solve it for one profile, but might make another profile un-compliant.


Note You need to log in before you can comment on or make changes to this bug.